<template>
  <div>
    <v-app-bar
      :hide-on-scroll="hideOnScroll"
      :scroll-threshold="scrollThreshold"
      app
      clipped-left
      color="primary"
      :dark="isNavDark"
      :extended="hasExtensionSlot"
      flat
      dense
    >
      <v-toolbar-title class="cursor-pointer" @click="navigateHome">
        <Logo style="height: 40px; margin-top: 8px" />
        v{{ version }}{{ dev ? "-dev" : "" }}
      </v-toolbar-title>

      <v-spacer />

      <slot name="buttons-between" />

      <slot name="buttons-right" />

      <slot slot="extension" name="extension" />
    </v-app-bar>
  </div>
</template>

<script>
import { themeMixin } from "../Mixins/theme";
import Logo from "./Logo";

export default {
  name: "AppNavbar",
  components: { Logo },
  mixins: [themeMixin],
  props: {
    hideOnScroll: {
      type: null,
      default: false,
    },
    scrollThreshold: {
      type: Number,
      default: 300,
    },
    aboutDialog: Boolean,
  },
  data() {
    return {
      version: process.env.version,
      dev: process.env.NODE_ENV !== "production",
    };
  },
  computed: {
    hasExtensionSlot() {
      return !!this.$slots.extension;
    },
  },
  methods: {
    navigateHome() {
      // I can't use nuxt-link because it would mess up the CSS
      this.$router.push({ path: "/" });
    },
  },
};
</script>
